チケット #530 (closed 新機能・拡張: fixed)

登録: 12 年 前

最終更新: 12 年 前

Rhino 1.6R7対応

報告者: shinomiya 担当者: shinomiya
優先度: major マイルストーン: 0.1.2
コンポーネント: im-jssp バージョン: 0.1.2
キーワード: 関係者:

チケットの概要

  • http://www.mozilla-japan.org/rhino/download.htmlから抜粋 (2007-10-02現在)
    Rhino 1.6R6 以降での E4X サポートは、Java 1.5 でネイティブにサポートされた DOM3 API 
    にのみ依存したものへ、書き直されました。 (1.5 以前のユーザーは、DOM3 が有効になってい
    る XML パーサーがあるなら、 Java の承認済みの標準オーバーライド機構を利用することで、
    DOM3 を使用することができます。) このリリース時点では、XMLBeans 実装は残されていま
    す。classpath に XMLBeans クラスがあるのならそれがデフォルトです。そうではなく、DOM3 
    が存在しているなら、ネイティブの DOM 実装が使用されます。 XMLBeans も DOM3 も存在して
    いないなら、E4X は利用できません。
    

チケットの履歴

2007/10/16 12:51:29 更新者:shinomiya

  • ステータスnew から closed に更新されました。
  • 解決方法fixed に更新されました。

Rhinoを入れ替えました。
チェンジセット [131] [132] [133]

xmlbeansは1.0.4のままです。

∵xmlbeans 2.2.0では、E4Xは動作しませんでした。
以下、xmlbeans 2.2.0 利用時のスタックトレース

org.mozilla.javascript.EcmaError: ReferenceError: "XML" is not defined.
(C:\im\resin\resin-pro-3.0.24\webapps\im-jssp-sample-0.1.2\sample\tag\hello\hello_main.js#22)
	at org.mozilla.javascript.ScriptRuntime.constructError(ScriptRuntime.java:3350)
	at org.mozilla.javascript.ScriptRuntime.constructError(ScriptRuntime.java:3340)
	at org.mozilla.javascript.ScriptRuntime.notFoundError(ScriptRuntime.java:3413)
	at org.mozilla.javascript.ScriptRuntime.name(ScriptRuntime.java:1612)
	at org.mozilla.javascript.Interpreter.interpretLoop(Interpreter.java:3314)
	at org.mozilla.javascript.Interpreter.interpret(Interpreter.java:2394)
	at org.mozilla.javascript.InterpretedFunction.call(InterpretedFunction.java:162)
	at org.mozilla.javascript.ContextFactory.doTopCall(ContextFactory.java:393)
	at org.mozilla.javascript.ScriptRuntime.doTopCall(ScriptRuntime.java:2834)
	at org.mozilla.javascript.InterpretedFunction.call(InterpretedFunction.java:160)
	at org.intra_mart.jssp.script.ScriptScope.call(ScriptScope.java:136)
	at org.intra_mart.jssp.script.ScriptScope.call(ScriptScope.java:105)
	at org.intra_mart.jssp.page.Page.execute(Page.java:84)
	at org.intra_mart.jssp.page.provider.JSSPPageBuilderImpl.sendPage(JSSPPageBuilderImpl.java:252)
	at org.intra_mart.jssp.page.provider.JSSPPageBuilderImpl.invoke(JSSPPageBuilderImpl.java:150)
	at org.intra_mart.jssp.page.servlet.JSSPServlet.execute(JSSPServlet.java:49)
	at org.intra_mart.jssp.page.servlet.JSSPServlet.service(JSSPServlet.java:30)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:92)
	at com.caucho.server.dispatch.ServletFilterChain.doFilter(ServletFilterChain.java:106)
	at org.intra_mart.common.aid.jsdk.javax.servlet.filter.impl.HTTPContextHandlingFilterImpl.doFilter(HTTPContextHandlingFilterImpl.java:54)
	at org.intra_mart.common.aid.jsdk.javax.servlet.filter.HTTPContextHandlingFilter.doFilter(HTTPContextHandlingFilter.java:92)
	at com.caucho.server.dispatch.FilterFilterChain.doFilter(FilterFilterChain.java:70)
	at org.intra_mart.jssp.page.servlet.filter.JSSPResponseCharsetFilter.doFilter(JSSPResponseCharsetFilter.java:49)
	at com.caucho.server.dispatch.FilterFilterChain.doFilter(FilterFilterChain.java:70)
	at org.intra_mart.common.aid.jsdk.javax.servlet.filter.RequestMessageBodyFilter.doFilter(RequestMessageBodyFilter.java:242)
	at com.caucho.server.dispatch.FilterFilterChain.doFilter(FilterFilterChain.java:70)
	at org.intra_mart.jssp.page.servlet.filter.JSSPRequestCharsetFilter.doFilter(JSSPRequestCharsetFilter.java:44)
	at com.caucho.server.dispatch.FilterFilterChain.doFilter(FilterFilterChain.java:70)
	at com.caucho.server.webapp.WebAppFilterChain.doFilter(WebAppFilterChain.java:173)
	at com.caucho.server.dispatch.ServletInvocation.service(ServletInvocation.java:229)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:274)
	at com.caucho.server.port.TcpConnection.run(TcpConnection.java:514)
	at com.caucho.util.ThreadPool.runTasks(ThreadPool.java:520)
	at com.caucho.util.ThreadPool.run(ThreadPool.java:442)
	at java.lang.Thread.run(Thread.java:595)

2008/04/14 17:18:45 更新者:anonymous

http://www.finishup.cn H?r f?rs?kte allts? pejlaren f? mig att "erk?nna" genom http://www.chinawordpress.net.cn hota med b?ter och r?tteg?ng. Hon f?rs?kte ?ven f? mig att erk?nna att jag har en http://www.chinaword.net.cn DVD-spelare kan emot tevesignaler. Visst finns det kanske DVD-spelare med tevemottagare men en som sitter i datorn? Lite komiskt. Videoapparater har oftast tevemottagare s? hade jag sagt ja d?r hade jag f?rmodligen varit illa ute http://www.tatto.com.cn Vid en r?tteg?ng st?r pejlarens ord mot ditt eftsom pejlaren ?r en tj?nsteman. Det vill s?ga att om pejlaren ser teven s? kan hon s?ga detta i r?tten och f?modligen vinna ocks?. Men om hon varken h?r eller ser teven s? har http://www.treadmilll.cn

2008/04/14 17:19:06 更新者:anonymous

http://www.finishup.cn H?r f?rs?kte allts? pejlaren f? mig att "erk?nna" genom http://www.chinawordpress.net.cn hota med b?ter och r?tteg?ng. Hon f?rs?kte ?ven f? mig att erk?nna att jag har en http://www.chinaword.net.cn DVD-spelare kan emot tevesignaler. Visst finns det kanske DVD-spelare med tevemottagare men en som sitter i datorn? Lite komiskt. Videoapparater har oftast tevemottagare s? hade jag sagt ja d?r hade jag f?rmodligen varit illa ute http://www.tatto.com.cn Vid en r?tteg?ng st?r pejlarens ord mot ditt eftsom pejlaren ?r en tj?nsteman. Det vill s?ga att om pejlaren ser teven s? kan hon s?ga detta i r?tten och f?modligen vinna ocks?. Men om hon varken h?r eller ser teven s? har http://www.treadmilll.cn